### File

`src/lib/directives/form-control-mark-touched.directive.ts`

### Metadata

Selector | `[rxapFormControlMarkTouched]`
Standalone | `true`

### Index

###### Methods
Public onClick
###### HostListeners
click

### Constructor

`constructor(parent: ControlContainer)`
Defined in src/lib/directives/form-control-mark-touched.directive.ts:11
Parameters :
Name | Type | Optional
parent | `ControlContainer` | No

### HostListeners

click
Defined in src/lib/directives/form-control-mark-touched.directive.ts:17

### Methods

Public onClick
`onClick()`
Decorators : `@HostListener('click')`
Defined in src/lib/directives/form-control-mark-touched.directive.ts:17
Returns : `void`

    import {
      Directive,
      HostListener,
    } from '@angular/core';
    import { ControlContainer } from '@angular/forms';

    @Directive({
      selector: '[rxapFormControlMarkTouched]',
      standalone: true,
    })
    export class FormControlMarkTouchedDirective {

      constructor(private readonly parent: ControlContainer) {
      }

      @HostListener('click')
      public onClick() {
        this.parent.control?.markAllAsTouched();
      }

    }

# results matching ""

# No results matching ""